Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.io.log
Enum LoggerMessageType

    java.lang.Object
      java.lang.Enum<LoggerMessageType>
          info.bioinfweb.treegraph.document.io.log.LoggerMessageType

All Implemented Interfaces:
  Serializable, Comparable<LoggerMessageType>

    public enum LoggerMessageType

extends Enum<LoggerMessageType>

Enumerates the different types of messages which can be send by a `DocumentReader`.

Since:
  2.0.42
Author:
  BenStoever

Enum Constant Summary
`MESSAGE`
`WARNING`

Method Summary
`static LoggerMessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LoggerMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE

    public static final LoggerMessageType MESSAGE

### WARNING

    public static final LoggerMessageType WARNING

Method Detail

### values

    public static LoggerMessageType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LoggerMessageType c : LoggerMessageType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LoggerMessageType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD